Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javafe.tc
Class LookupException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              javafe.tc.LookupException

All Implemented Interfaces:
  java.io.Serializable

public class LookupException
extends java.lang.Exception

See Also:
  Serialized Form

Field Summary
`static int` | `AMBIGUOUS`
`static int` | `BADTYPECOMBO`
`static int` | `NOTACCESSIBLE`
`static int` | `NOTFOUND`
`int` | `reason`
`private static long` | `serialVersionUID`

Fields inherited from class java.lang.Throwable
``

Constructor Summary
`LookupException(int reason)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### serialVersionUID

    private static final long serialVersionUID

See Also:
  Constant Field Values

### reason

    public int reason

### NOTFOUND

    public static final int NOTFOUND

See Also:
  Constant Field Values

### AMBIGUOUS

    public static final int AMBIGUOUS

See Also:
  Constant Field Values

### BADTYPECOMBO

    public static final int BADTYPECOMBO

See Also:
  Constant Field Values

### NOTACCESSIBLE

    public static final int NOTACCESSIBLE

See Also:
  Constant Field Values

Constructor Detail

### LookupException

    public LookupException(int reason)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ESC/Java2 © 2003,2004,2005 David Cok and Joseph Kiniry © 2005 UCD Dublin © 2003,2004 Radboud University Nijmegen © 1999,2000 Compaq Computer Corporation © 1997,1998,1999 Digital Equipment Corporation All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

The ESC/Java2 Project Homepage